From db997501ec8e0ef0c5e4426649c17d2498b40e06 Mon Sep 17 00:00:00 2001
From: Paul Varner <fuzzyray@gentoo.org>
Date: Tue, 10 Sep 2013 10:59:31 -0500
Subject: [PATCH] Fix use of REVDEP_REBUILD_DEFAULT_OPTS (Bug 484340).

---
 bin/revdep-rebuild.sh | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

diff --git a/bin/revdep-rebuild.sh b/bin/revdep-rebuild.sh
index 7f848bc..6cb5608 100755
--- a/bin/revdep-rebuild.sh
+++ b/bin/revdep-rebuild.sh
@@ -1034,27 +1034,24 @@ portage_settings() {
 	local ORIG_SEARCH_DIRS="$SEARCH_DIRS"
 	local ORIG_SEARCH_DIRS_MASK="$SEARCH_DIRS_MASK"
 	local ORIG_LD_LIBRARY_MASK="$LD_LIBRARY_MASK"
-	local ORIG_REVDEP_REBUILD_DEFAULT_OPTS="$REVDEP_REBUILD_DEFAULT_OPTS"
 	unset SEARCH_DIRS
 	unset SEARCH_DIRS_MASK
 	unset LD_LIBRARY_MASK
-	unset REVDEP_REBUILD_DEFAULT_OPTS
 
 	eval $(portageq envvar -v PORTAGE_ROOT PORTAGE_NICENESS EMERGE_DEFAULT_OPTS NOCOLOR SEARCH_DIRS SEARCH_DIRS_MASK LD_LIBRARY_MASK REVDEP_REBUILD_DEFAULT_OPTS)
 	export NOCOLOR
 
 	# Convert quoted paths to array.
 	eval "EMERGE_DEFAULT_OPTS=(${EMERGE_DEFAULT_OPTS})"
+	eval "REVDEP_REBUILD_DEFAULT_OPTS=(${REVDEP_REBUILD_DEFAULT_OPTS})"
 	SEARCH_DIRS="$ORIG_SEARCH_DIRS $SEARCH_DIRS"
 	SEARCH_DIRS_MASK="$ORIG_SEARCH_DIRS_MASK $SEARCH_DIRS_MASK"
 	LD_LIBRARY_MASK="$ORIG_LD_LIBRARY_MASK $LD_LIBRARY_MASK"
-	REVDEP_REBUILD_DEFAULT_OPTS="$ORIG_REVDEP_REBUILD_DEFAULT_OPTS $REVDEP_REBUILD_DEFAULT_OPTS"
 
 	# Replace EMERGE_DEFAULT_OPTS with REVDEP_REBUILD_DEFAULT_OPTS (if it exists)
 	if [[ -n ${REVDEP_REBUILD_DEFAULT_OPTS} ]]; then
-		EMERGE_DEFAULT_OPTS=("$REVDEP_REBUILD_DEFAULT_OPTS")
+		EMERGE_DEFAULT_OPTS=("${REVDEP_REBUILD_DEFAULT_OPTS[@]}")
 	fi
-
 }
 
 ##
-- 
1.8.3.2

